# Bakery::Dialog_OfferSave Class Reference

`#include <Dialog_OfferSave.h>`

Inheritance diagram for Bakery::Dialog_OfferSave:

[legend]

List of all members.

## Public Types

enum | enumButtons { BUTTON_Save, BUTTON_Discard, BUTTON_Cancel }
| Return values:. More...

## Public Member Functions

| Dialog_OfferSave (const Glib::ustring &file_uri)
virtual | ~Dialog_OfferSave ()

## Member Enumeration Documentation

enum Bakery::Dialog_OfferSave::enumButtons

Return values:.

Enumerator:

  BUTTON_Save |
  BUTTON_Discard |
  BUTTON_Cancel |

## Constructor & Destructor Documentation

Bakery::Dialog_OfferSave::Dialog_OfferSave | ( | const Glib::ustring & | file_uri | ) |

virtual Bakery::Dialog_OfferSave::~Dialog_OfferSave | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- Dialog_OfferSave.h